From c0091457a28d76272f2424a4f1d0e898944ef5c3 Mon Sep 17 00:00:00 2001
From: Thomas Fetzer <thomas.fetzer@iws.uni-stuttgart.de>
Date: Thu, 11 Jan 2018 10:35:26 +0100
Subject: [PATCH] [moduleutil] Copy files from last release

Either something went wrong here or the cherry-pick was forgotten
---
 bin/moduleutil/extractmodulepart.sh | 7 ++++++-
 bin/moduleutil/getusedversions.sh   | 6 +++---
 2 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/bin/moduleutil/extractmodulepart.sh b/bin/moduleutil/extractmodulepart.sh
index 94b9c40272..9471bdd4cb 100755
--- a/bin/moduleutil/extractmodulepart.sh
+++ b/bin/moduleutil/extractmodulepart.sh
@@ -389,7 +389,12 @@ for MOD in $DEPENDING_MODULE_NAMES
 do
   if [ $MOD != $MODULE_NAME ]; then
     MODULE_DIR=${MOD%*/}
-    getVersionGit $MODULE_DIR $(pwd)/$MODULE_NAME/install$MODULE_NAME.sh >>$MODULE_NAME/$README_FILE
+    getVersionGit $MODULE_DIR $(pwd)/$MODULE_NAME/install$MODULE_NAME.sh | tee -a $MODULE_NAME/$README_FILE
+    grep "Error:" $MODULE_NAME/$README_FILE > /dev/null
+    EXIT_CODE=$?
+    if [[ $EXIT_CODE == 0 ]]; then
+      exit
+    fi
   fi
 done
 
diff --git a/bin/moduleutil/getusedversions.sh b/bin/moduleutil/getusedversions.sh
index 6dc2c1d9d4..102e2f0eed 100755
--- a/bin/moduleutil/getusedversions.sh
+++ b/bin/moduleutil/getusedversions.sh
@@ -7,7 +7,7 @@
 # (c) 2016 Christoph Grüninger
 #
 
-if [ "${args[1]}" = "-h" ]; then
+if [ "$1" = "-h" ]; then
   echo "USAGE: ./getDumuxDuneVersions.sh"
   echo; exit
 fi
@@ -83,9 +83,9 @@ function getVersionGit
   cd ..
 }
 
-# run script from comand line
+# run script from command line
 # suppressed for use of external script when variable set accordingly
-if [ "$CALL_FROM_EXTERNAL_SCRIPT" == "no" ]; then
+if [ "$CALL_FROM_EXTERNAL_SCRIPT" != "yes" ]; then
   echo "# DUNE/DUMUX VERSIONS" > $OUTFILE
 
   echo "Creating file containing the version numbers:"
-- 
GitLab